Bug 1508274 - remote-viewer recent dialog doesn't pop up at the center of the main window
Summary: remote-viewer recent dialog doesn't pop up at the center of the main window
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer
Version: 7.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Victor Toso
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-01 03:18 UTC by Xiaodai Wang
Modified: 2019-09-10 09:00 UTC (History)
6 users (show)

Fixed In Version: virt-viewer-5.0-12.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:07:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
remote-viewer recent dialog (26.68 KB, image/png)
2017-11-01 03:20 UTC, Xiaodai Wang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2229 None None None 2019-08-06 13:07:49 UTC

Description Xiaodai Wang 2017-11-01 03:18:50 UTC
Description of problem:
remote-viewer recent dialog doesn't pop up at the center of the main window

Version-Release number of selected component (if applicable):
virt-viewer-5.0-8.el7.x86_64
gnome-desktop3-3.22.2-2.el7.x86_64
mutter-3.26.1-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Run "remote-viewer -k" in terminal.
2. Check the position of the recent dialog window.

Actual results:
The recent dialog window pops at top-left corner of the main window.

Expected results:
The recent dialog window should pop at the center of the main window.

Additional info:

Comment 2 Xiaodai Wang 2017-11-01 03:20:35 UTC
Created attachment 1346277 [details]
remote-viewer recent dialog

Comment 3 zhoujunqin 2018-02-07 08:16:55 UTC
I can also reproduce this issue with "remote-viewer" without -k option.

Package version: virt-viewer-5.0-10.el7.x86_64

Steps:

1. Run "remote-viewer" in terminal.
2. Check the position of the recent dialog window.

Actual result:
The recent dialog window pops at top-left corner of the main window.

Comment 4 Victor Toso 2018-05-30 12:50:03 UTC
I don't mind much where it pops up but AFAIK, it can't be enforced over Desktop Environment settings/preferences. Still, patch sent:

https://www.redhat.com/archives/virt-tools-list/2018-May/msg00077.html

Comment 9 Victor Toso 2018-09-06 11:06:35 UTC
Solution is already upstream. We should include this on 7.7 release.
Moving.

Comment 11 zhoujunqin 2019-04-29 09:59:21 UTC
I can reproduce this bug with package:
virt-viewer-5.0-11.el7.x86_64

Then try to verify this bug with new build:
virt-viewer-5.0-13.el7.x86_64

1. Run "remote-viewer" in terminal.
$ remote-viewer
2. Check the position of the recent dialog window.

Result: remote-viewer dialog pops up at the center of the main window, so I move this bug from ON_QA to VERIFIED.

Comment 13 errata-xmlrpc 2019-08-06 13:07:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2229


Note You need to log in before you can comment on or make changes to this bug.